"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const index_js_1 = require("../../summary/index.js");
describe("Runtime", () => {
    describe("Summarization", () => {
        describe("Summarizer", () => {
            it("Should not run last summary when reason is not parentNotConnected", () => {
                const stopReasons = [
                    "failToSummarize",
                    "notElectedParent",
                    "notElectedClient",
                    "summarizerClientDisconnected",
                    "summarizerException",
                ];
                // This doesn't prevent future stop reason additions, but it's a good baseline
                for (const stopReason of stopReasons) {
                    (0, assert_1.strict)(index_js_1.Summarizer.stopReasonCanRunLastSummary(stopReason) === false, "should not run last summary when stop reason is not parentNotConnected");
                }
            });
            it("Should run last summary when reason is parentNotConnected", () => {
                (0, assert_1.strict)(index_js_1.Summarizer.stopReasonCanRunLastSummary("parentNotConnected") === true, "should run last summary when stop reason is parentNotConnected");
            });
        });
    });
});
//# sourceMappingURL=summarizer.spec.js.map