/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ContainerErrorTypes } from "@fluidframework/container-definitions/internal";
import { LoggingError } from "@fluidframework/telemetry-utils/internal";
/**
 * Error indicating that a client's session has reached its time limit and is closed.
 */
export class ClientSessionExpiredError extends LoggingError {
    expiryMs;
    errorType = ContainerErrorTypes.clientSessionExpiredError;
    constructor(message, expiryMs) {
        super(message, { timeoutMs: expiryMs });
        this.expiryMs = expiryMs;
    }
}
//# sourceMappingURL=error.js.map