/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IDocumentStorageService, IDocumentStorageServicePolicies } from "@fluidframework/driver-definitions/internal";
import { DocumentStorageServiceProxy } from "@fluidframework/driver-utils/internal";
/**
 * IDocumentStorageService proxy which intercepts requests if they can be satisfied by the blobs received in the
 * attach message. We use this to avoid an unnecessary request to the storage service.
 */
export declare class StorageServiceWithAttachBlobs extends DocumentStorageServiceProxy {
    private readonly attachBlobs;
    constructor(internalStorageService: IDocumentStorageService, attachBlobs: Map<string, ArrayBufferLike>);
    get policies(): IDocumentStorageServicePolicies | undefined;
    readBlob(id: string): Promise<ArrayBufferLike>;
}
//# sourceMappingURL=storageServiceWithAttachBlobs.d.ts.map